<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ManufacturingOperationTaskSearchBasic StructType
 * @subpackage Structs
 */
class ManufacturingOperationTaskSearchBasic extends SearchRecordBasic
{
    /**
     * The actualRunTime
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $actualRunTime;
    /**
     * The actualSetupTime
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $actualSetupTime;
    /**
     * The completedQuantity
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $completedQuantity;
    /**
     * The endDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDateField
     */
    public $endDate;
    /**
     * The estimatedWork
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $estimatedWork;
    /**
     * The externalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $externalId;
    /**
     * The externalIdString
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $externalIdString;
    /**
     * The id
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchLongField
     */
    public $id;
    /**
     * The inputQuantity
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $inputQuantity;
    /**
     * The internalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $internalId;
    /**
     * The internalIdNumber
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchLongField
     */
    public $internalIdNumber;
    /**
     * The laborResources
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $laborResources;
    /**
     * The lagAmount
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $lagAmount;
    /**
     * The lagType
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchEnumMultiSelectField
     */
    public $lagType;
    /**
     * The lagUnits
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $lagUnits;
    /**
     * The machineResources
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $machineResources;
    /**
     * The manufacturingCostTemplate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $manufacturingCostTemplate;
    /**
     * The manufacturingWorkCenter
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $manufacturingWorkCenter;
    /**
     * The name
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $name;
    /**
     * The order
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $order;
    /**
     * The predecessor
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $predecessor;
    /**
     * The remainingQuantity
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $remainingQuantity;
    /**
     * The runRate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $runRate;
    /**
     * The runTime
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $runTime;
    /**
     * The sequence
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchLongField
     */
    public $sequence;
    /**
     * The setupTime
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $setupTime;
    /**
     * The startDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDateField
     */
    public $startDate;
    /**
     * The status
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $status;
    /**
     * The workOrder
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $workOrder;
    /**
     * The customFieldList
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchCustomFieldList
     */
    public $customFieldList;
    /**
     * Constructor method for ManufacturingOperationTaskSearchBasic
     * @uses ManufacturingOperationTaskSearchBasic::setActualRunTime()
     * @uses ManufacturingOperationTaskSearchBasic::setActualSetupTime()
     * @uses ManufacturingOperationTaskSearchBasic::setCompletedQuantity()
     * @uses ManufacturingOperationTaskSearchBasic::setEndDate()
     * @uses ManufacturingOperationTaskSearchBasic::setEstimatedWork()
     * @uses ManufacturingOperationTaskSearchBasic::setExternalId()
     * @uses ManufacturingOperationTaskSearchBasic::setExternalIdString()
     * @uses ManufacturingOperationTaskSearchBasic::setId()
     * @uses ManufacturingOperationTaskSearchBasic::setInputQuantity()
     * @uses ManufacturingOperationTaskSearchBasic::setInternalId()
     * @uses ManufacturingOperationTaskSearchBasic::setInternalIdNumber()
     * @uses ManufacturingOperationTaskSearchBasic::setLaborResources()
     * @uses ManufacturingOperationTaskSearchBasic::setLagAmount()
     * @uses ManufacturingOperationTaskSearchBasic::setLagType()
     * @uses ManufacturingOperationTaskSearchBasic::setLagUnits()
     * @uses ManufacturingOperationTaskSearchBasic::setMachineResources()
     * @uses ManufacturingOperationTaskSearchBasic::setManufacturingCostTemplate()
     * @uses ManufacturingOperationTaskSearchBasic::setManufacturingWorkCenter()
     * @uses ManufacturingOperationTaskSearchBasic::setName()
     * @uses ManufacturingOperationTaskSearchBasic::setOrder()
     * @uses ManufacturingOperationTaskSearchBasic::setPredecessor()
     * @uses ManufacturingOperationTaskSearchBasic::setRemainingQuantity()
     * @uses ManufacturingOperationTaskSearchBasic::setRunRate()
     * @uses ManufacturingOperationTaskSearchBasic::setRunTime()
     * @uses ManufacturingOperationTaskSearchBasic::setSequence()
     * @uses ManufacturingOperationTaskSearchBasic::setSetupTime()
     * @uses ManufacturingOperationTaskSearchBasic::setStartDate()
     * @uses ManufacturingOperationTaskSearchBasic::setStatus()
     * @uses ManufacturingOperationTaskSearchBasic::setWorkOrder()
     * @uses ManufacturingOperationTaskSearchBasic::setCustomFieldList()
     * @param \StructType\SearchDoubleField $actualRunTime
     * @param \StructType\SearchDoubleField $actualSetupTime
     * @param \StructType\SearchDoubleField $completedQuantity
     * @param \StructType\SearchDateField $endDate
     * @param \StructType\SearchDoubleField $estimatedWork
     * @param \StructType\SearchMultiSelectField $externalId
     * @param \StructType\SearchStringField $externalIdString
     * @param \StructType\SearchLongField $id
     * @param \StructType\SearchDoubleField $inputQuantity
     * @param \StructType\SearchMultiSelectField $internalId
     * @param \StructType\SearchLongField $internalIdNumber
     * @param \StructType\SearchDoubleField $laborResources
     * @param \StructType\SearchDoubleField $lagAmount
     * @param \StructType\SearchEnumMultiSelectField $lagType
     * @param \StructType\SearchStringField $lagUnits
     * @param \StructType\SearchDoubleField $machineResources
     * @param \StructType\SearchMultiSelectField $manufacturingCostTemplate
     * @param \StructType\SearchMultiSelectField $manufacturingWorkCenter
     * @param \StructType\SearchStringField $name
     * @param \StructType\SearchDoubleField $order
     * @param \StructType\SearchMultiSelectField $predecessor
     * @param \StructType\SearchDoubleField $remainingQuantity
     * @param \StructType\SearchDoubleField $runRate
     * @param \StructType\SearchDoubleField $runTime
     * @param \StructType\SearchLongField $sequence
     * @param \StructType\SearchDoubleField $setupTime
     * @param \StructType\SearchDateField $startDate
     * @param \StructType\SearchMultiSelectField $status
     * @param \StructType\SearchMultiSelectField $workOrder
     * @param \StructType\SearchCustomFieldList $customFieldList
     */
    public function __construct(\StructType\SearchDoubleField $actualRunTime = null, \StructType\SearchDoubleField $actualSetupTime = null, \StructType\SearchDoubleField $completedQuantity = null, \StructType\SearchDateField $endDate = null, \StructType\SearchDoubleField $estimatedWork = null, \StructType\SearchMultiSelectField $externalId = null, \StructType\SearchStringField $externalIdString = null, \StructType\SearchLongField $id = null, \StructType\SearchDoubleField $inputQuantity = null, \StructType\SearchMultiSelectField $internalId = null, \StructType\SearchLongField $internalIdNumber = null, \StructType\SearchDoubleField $laborResources = null, \StructType\SearchDoubleField $lagAmount = null, \StructType\SearchEnumMultiSelectField $lagType = null, \StructType\SearchStringField $lagUnits = null, \StructType\SearchDoubleField $machineResources = null, \StructType\SearchMultiSelectField $manufacturingCostTemplate = null, \StructType\SearchMultiSelectField $manufacturingWorkCenter = null, \StructType\SearchStringField $name = null, \StructType\SearchDoubleField $order = null, \StructType\SearchMultiSelectField $predecessor = null, \StructType\SearchDoubleField $remainingQuantity = null, \StructType\SearchDoubleField $runRate = null, \StructType\SearchDoubleField $runTime = null, \StructType\SearchLongField $sequence = null, \StructType\SearchDoubleField $setupTime = null, \StructType\SearchDateField $startDate = null, \StructType\SearchMultiSelectField $status = null, \StructType\SearchMultiSelectField $workOrder = null, \StructType\SearchCustomFieldList $customFieldList = null)
    {
        $this
            ->setActualRunTime($actualRunTime)
            ->setActualSetupTime($actualSetupTime)
            ->setCompletedQuantity($completedQuantity)
            ->setEndDate($endDate)
            ->setEstimatedWork($estimatedWork)
            ->setExternalId($externalId)
            ->setExternalIdString($externalIdString)
            ->setId($id)
            ->setInputQuantity($inputQuantity)
            ->setInternalId($internalId)
            ->setInternalIdNumber($internalIdNumber)
            ->setLaborResources($laborResources)
            ->setLagAmount($lagAmount)
            ->setLagType($lagType)
            ->setLagUnits($lagUnits)
            ->setMachineResources($machineResources)
            ->setManufacturingCostTemplate($manufacturingCostTemplate)
            ->setManufacturingWorkCenter($manufacturingWorkCenter)
            ->setName($name)
            ->setOrder($order)
            ->setPredecessor($predecessor)
            ->setRemainingQuantity($remainingQuantity)
            ->setRunRate($runRate)
            ->setRunTime($runTime)
            ->setSequence($sequence)
            ->setSetupTime($setupTime)
            ->setStartDate($startDate)
            ->setStatus($status)
            ->setWorkOrder($workOrder)
            ->setCustomFieldList($customFieldList);
    }
    /**
     * Get actualRunTime value
     * @return \StructType\SearchDoubleField|null
     */
    public function getActualRunTime()
    {
        return $this->actualRunTime;
    }
    /**
     * Set actualRunTime value
     * @param \StructType\SearchDoubleField $actualRunTime
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setActualRunTime(\StructType\SearchDoubleField $actualRunTime = null)
    {
        $this->actualRunTime = $actualRunTime;
        return $this;
    }
    /**
     * Get actualSetupTime value
     * @return \StructType\SearchDoubleField|null
     */
    public function getActualSetupTime()
    {
        return $this->actualSetupTime;
    }
    /**
     * Set actualSetupTime value
     * @param \StructType\SearchDoubleField $actualSetupTime
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setActualSetupTime(\StructType\SearchDoubleField $actualSetupTime = null)
    {
        $this->actualSetupTime = $actualSetupTime;
        return $this;
    }
    /**
     * Get completedQuantity value
     * @return \StructType\SearchDoubleField|null
     */
    public function getCompletedQuantity()
    {
        return $this->completedQuantity;
    }
    /**
     * Set completedQuantity value
     * @param \StructType\SearchDoubleField $completedQuantity
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setCompletedQuantity(\StructType\SearchDoubleField $completedQuantity = null)
    {
        $this->completedQuantity = $completedQuantity;
        return $this;
    }
    /**
     * Get endDate value
     * @return \StructType\SearchDateField|null
     */
    public function getEndDate()
    {
        return $this->endDate;
    }
    /**
     * Set endDate value
     * @param \StructType\SearchDateField $endDate
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setEndDate(\StructType\SearchDateField $endDate = null)
    {
        $this->endDate = $endDate;
        return $this;
    }
    /**
     * Get estimatedWork value
     * @return \StructType\SearchDoubleField|null
     */
    public function getEstimatedWork()
    {
        return $this->estimatedWork;
    }
    /**
     * Set estimatedWork value
     * @param \StructType\SearchDoubleField $estimatedWork
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setEstimatedWork(\StructType\SearchDoubleField $estimatedWork = null)
    {
        $this->estimatedWork = $estimatedWork;
        return $this;
    }
    /**
     * Get externalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getExternalId()
    {
        return $this->externalId;
    }
    /**
     * Set externalId value
     * @param \StructType\SearchMultiSelectField $externalId
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setExternalId(\StructType\SearchMultiSelectField $externalId = null)
    {
        $this->externalId = $externalId;
        return $this;
    }
    /**
     * Get externalIdString value
     * @return \StructType\SearchStringField|null
     */
    public function getExternalIdString()
    {
        return $this->externalIdString;
    }
    /**
     * Set externalIdString value
     * @param \StructType\SearchStringField $externalIdString
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setExternalIdString(\StructType\SearchStringField $externalIdString = null)
    {
        $this->externalIdString = $externalIdString;
        return $this;
    }
    /**
     * Get id value
     * @return \StructType\SearchLongField|null
     */
    public function getId()
    {
        return $this->id;
    }
    /**
     * Set id value
     * @param \StructType\SearchLongField $id
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setId(\StructType\SearchLongField $id = null)
    {
        $this->id = $id;
        return $this;
    }
    /**
     * Get inputQuantity value
     * @return \StructType\SearchDoubleField|null
     */
    public function getInputQuantity()
    {
        return $this->inputQuantity;
    }
    /**
     * Set inputQuantity value
     * @param \StructType\SearchDoubleField $inputQuantity
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setInputQuantity(\StructType\SearchDoubleField $inputQuantity = null)
    {
        $this->inputQuantity = $inputQuantity;
        return $this;
    }
    /**
     * Get internalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getInternalId()
    {
        return $this->internalId;
    }
    /**
     * Set internalId value
     * @param \StructType\SearchMultiSelectField $internalId
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setInternalId(\StructType\SearchMultiSelectField $internalId = null)
    {
        $this->internalId = $internalId;
        return $this;
    }
    /**
     * Get internalIdNumber value
     * @return \StructType\SearchLongField|null
     */
    public function getInternalIdNumber()
    {
        return $this->internalIdNumber;
    }
    /**
     * Set internalIdNumber value
     * @param \StructType\SearchLongField $internalIdNumber
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setInternalIdNumber(\StructType\SearchLongField $internalIdNumber = null)
    {
        $this->internalIdNumber = $internalIdNumber;
        return $this;
    }
    /**
     * Get laborResources value
     * @return \StructType\SearchDoubleField|null
     */
    public function getLaborResources()
    {
        return $this->laborResources;
    }
    /**
     * Set laborResources value
     * @param \StructType\SearchDoubleField $laborResources
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setLaborResources(\StructType\SearchDoubleField $laborResources = null)
    {
        $this->laborResources = $laborResources;
        return $this;
    }
    /**
     * Get lagAmount value
     * @return \StructType\SearchDoubleField|null
     */
    public function getLagAmount()
    {
        return $this->lagAmount;
    }
    /**
     * Set lagAmount value
     * @param \StructType\SearchDoubleField $lagAmount
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setLagAmount(\StructType\SearchDoubleField $lagAmount = null)
    {
        $this->lagAmount = $lagAmount;
        return $this;
    }
    /**
     * Get lagType value
     * @return \StructType\SearchEnumMultiSelectField|null
     */
    public function getLagType()
    {
        return $this->lagType;
    }
    /**
     * Set lagType value
     * @param \StructType\SearchEnumMultiSelectField $lagType
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setLagType(\StructType\SearchEnumMultiSelectField $lagType = null)
    {
        $this->lagType = $lagType;
        return $this;
    }
    /**
     * Get lagUnits value
     * @return \StructType\SearchStringField|null
     */
    public function getLagUnits()
    {
        return $this->lagUnits;
    }
    /**
     * Set lagUnits value
     * @param \StructType\SearchStringField $lagUnits
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setLagUnits(\StructType\SearchStringField $lagUnits = null)
    {
        $this->lagUnits = $lagUnits;
        return $this;
    }
    /**
     * Get machineResources value
     * @return \StructType\SearchDoubleField|null
     */
    public function getMachineResources()
    {
        return $this->machineResources;
    }
    /**
     * Set machineResources value
     * @param \StructType\SearchDoubleField $machineResources
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setMachineResources(\StructType\SearchDoubleField $machineResources = null)
    {
        $this->machineResources = $machineResources;
        return $this;
    }
    /**
     * Get manufacturingCostTemplate value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getManufacturingCostTemplate()
    {
        return $this->manufacturingCostTemplate;
    }
    /**
     * Set manufacturingCostTemplate value
     * @param \StructType\SearchMultiSelectField $manufacturingCostTemplate
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setManufacturingCostTemplate(\StructType\SearchMultiSelectField $manufacturingCostTemplate = null)
    {
        $this->manufacturingCostTemplate = $manufacturingCostTemplate;
        return $this;
    }
    /**
     * Get manufacturingWorkCenter value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getManufacturingWorkCenter()
    {
        return $this->manufacturingWorkCenter;
    }
    /**
     * Set manufacturingWorkCenter value
     * @param \StructType\SearchMultiSelectField $manufacturingWorkCenter
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setManufacturingWorkCenter(\StructType\SearchMultiSelectField $manufacturingWorkCenter = null)
    {
        $this->manufacturingWorkCenter = $manufacturingWorkCenter;
        return $this;
    }
    /**
     * Get name value
     * @return \StructType\SearchStringField|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param \StructType\SearchStringField $name
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setName(\StructType\SearchStringField $name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get order value
     * @return \StructType\SearchDoubleField|null
     */
    public function getOrder()
    {
        return $this->order;
    }
    /**
     * Set order value
     * @param \StructType\SearchDoubleField $order
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setOrder(\StructType\SearchDoubleField $order = null)
    {
        $this->order = $order;
        return $this;
    }
    /**
     * Get predecessor value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getPredecessor()
    {
        return $this->predecessor;
    }
    /**
     * Set predecessor value
     * @param \StructType\SearchMultiSelectField $predecessor
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setPredecessor(\StructType\SearchMultiSelectField $predecessor = null)
    {
        $this->predecessor = $predecessor;
        return $this;
    }
    /**
     * Get remainingQuantity value
     * @return \StructType\SearchDoubleField|null
     */
    public function getRemainingQuantity()
    {
        return $this->remainingQuantity;
    }
    /**
     * Set remainingQuantity value
     * @param \StructType\SearchDoubleField $remainingQuantity
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setRemainingQuantity(\StructType\SearchDoubleField $remainingQuantity = null)
    {
        $this->remainingQuantity = $remainingQuantity;
        return $this;
    }
    /**
     * Get runRate value
     * @return \StructType\SearchDoubleField|null
     */
    public function getRunRate()
    {
        return $this->runRate;
    }
    /**
     * Set runRate value
     * @param \StructType\SearchDoubleField $runRate
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setRunRate(\StructType\SearchDoubleField $runRate = null)
    {
        $this->runRate = $runRate;
        return $this;
    }
    /**
     * Get runTime value
     * @return \StructType\SearchDoubleField|null
     */
    public function getRunTime()
    {
        return $this->runTime;
    }
    /**
     * Set runTime value
     * @param \StructType\SearchDoubleField $runTime
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setRunTime(\StructType\SearchDoubleField $runTime = null)
    {
        $this->runTime = $runTime;
        return $this;
    }
    /**
     * Get sequence value
     * @return \StructType\SearchLongField|null
     */
    public function getSequence()
    {
        return $this->sequence;
    }
    /**
     * Set sequence value
     * @param \StructType\SearchLongField $sequence
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setSequence(\StructType\SearchLongField $sequence = null)
    {
        $this->sequence = $sequence;
        return $this;
    }
    /**
     * Get setupTime value
     * @return \StructType\SearchDoubleField|null
     */
    public function getSetupTime()
    {
        return $this->setupTime;
    }
    /**
     * Set setupTime value
     * @param \StructType\SearchDoubleField $setupTime
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setSetupTime(\StructType\SearchDoubleField $setupTime = null)
    {
        $this->setupTime = $setupTime;
        return $this;
    }
    /**
     * Get startDate value
     * @return \StructType\SearchDateField|null
     */
    public function getStartDate()
    {
        return $this->startDate;
    }
    /**
     * Set startDate value
     * @param \StructType\SearchDateField $startDate
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setStartDate(\StructType\SearchDateField $startDate = null)
    {
        $this->startDate = $startDate;
        return $this;
    }
    /**
     * Get status value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getStatus()
    {
        return $this->status;
    }
    /**
     * Set status value
     * @param \StructType\SearchMultiSelectField $status
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setStatus(\StructType\SearchMultiSelectField $status = null)
    {
        $this->status = $status;
        return $this;
    }
    /**
     * Get workOrder value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getWorkOrder()
    {
        return $this->workOrder;
    }
    /**
     * Set workOrder value
     * @param \StructType\SearchMultiSelectField $workOrder
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setWorkOrder(\StructType\SearchMultiSelectField $workOrder = null)
    {
        $this->workOrder = $workOrder;
        return $this;
    }
    /**
     * Get customFieldList value
     * @return \StructType\SearchCustomFieldList|null
     */
    public function getCustomFieldList()
    {
        return $this->customFieldList;
    }
    /**
     * Set customFieldList value
     * @param \StructType\SearchCustomFieldList $customFieldList
     * @return \StructType\ManufacturingOperationTaskSearchBasic
     */
    public function setCustomFieldList(\StructType\SearchCustomFieldList $customFieldList = null)
    {
        $this->customFieldList = $customFieldList;
        return $this;
    }
}
